## openjfx 8u161-b12

=== debian/changelog ===
openjfx (8u161-b12-1ubuntu2) bionic; urgency=medium

  * Drop the last icu patch. No changes left.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Apr 2018 10:29:13 +0200

openjfx (8u161-b12-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/icu59-2.patch: Fix the typedef of UChar to char16_t.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Apr 2018 16:44:32 +0200

openjfx (8u161-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixes CVE-2018-2581 (Closes: #888530)
    - Refreshed the patches
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Apr 2018 00:18:00 +0200

openjfx (8u151-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 22 Oct 2017 22:59:45 +0200

openjfx (8u141-b14-3ubuntu3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:55:37 +0000

openjfx (8u141-b14-3ubuntu2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:40 +0000

openjfx (8u141-b14-3ubuntu1) bionic; urgency=medium

  * debian/patches/icu59.patch: Backport upstream fix for icu59 FTBFS.
  * debian/patches/icu59-2.patch: Fix the typedef of UChar to char16_t.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 28 Oct 2017 03:41:59 -0600

openjfx (8u141-b14-3build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:27:55 +0000
