=== debian/watch ===
version=3
http://java.debian.net/checkjdk.php .*/jdk(\d(?:u\d+)-b\d+).tar.gz debian debian/orig-tar.sh
